Page MenuHomePhabricator

Enable zoom 19 in tilerator / kartotherian UIs
Closed, ResolvedPublic

Description

Zoom level 19 tiles are now available, but the UI does not allow to zoom that far down. It needs to be adapted / configured to allow it.

Event Timeline

Gehel triaged this task as Normal priority.Feb 8 2018, 9:27 AM
Gehel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2018, 9:27 AM
Gehel added a subscriber: Catrope.Feb 8 2018, 8:10 PM

The patches are up. However, currently it's a WIP. I wanted it to be against update-snapshot-dep (kartotherian) and master (kartotherian/server).

However, I ran into unrelated errors due to incompatible changes, so for now the server one is on top of 0.0.17.

To test:

  1. Install and enable @SBisson's Kartotherian Vagrant role.
  2. Follow instructions about npm link at https://gerrit.wikimedia.org/r/#/c/409425/ .
  3. Checkout https://github.com/kartotherian/kartotherian/pull/40 into Kartotherian proper (srv/kartotherian)
  4. Checkout https://github.com/kartotherian/server/pull/4 into "server" (srv/kartotherian_dependencies/server).

The server one needs to be rebased and tested to still work against Kartotherian (update-snapshot-dep), which will require unrelated changes. For now, the above works as a WIP.

Also, you need to actually set maxzoom: 19 in your YAML config. I pointed out where to add that in the Vagrant patch.

jmatazzoni raised the priority of this task from Normal to High.Feb 26 2018, 11:57 PM

This is currently only deployed to maps-test* servers. It should be deployed to production this week of next.

SBisson claimed this task.Mar 22 2018, 12:23 PM
SBisson added a subscriber: Mattflaschen-WMF.

This is now live at maps.wikimedia.org

Etonkovidova closed this task as Resolved.Mar 26 2018, 5:00 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in maps.wikimedia.org - Levels 1-19 are present.